    <configuration>
            <interfaces>
{% for ifd in ports %}
                <interface>
                    <name>{{ ifd }}</name>
{% if ifd.encapsulation is defined %}
                    <encapsulation>flexible-ethernet-services</encapsulation>
{% endif %}
{% if ports[ifd]['tagging'] %}
                    <flexible-vlan-tagging/>
{% endif %}
{% for unit in ports[ifd]['units'] %}
{% if unit.delete is defined and unit.delete %}
                    <unit delete="delete">
{% else %}
                    <unit>
{% endif %}
                        <name>{{ unit.id }}</name>
{% if ifd.startswith("ge") %}
                        <vlan-id>{{ unit.id }}</vlan-id>
{% endif %}
                        <family>
                            <inet>
                                <address>
                                    <name>{{ unit.ipv4_prefix }}</name>
                                </address>
                            </inet>
                        </family>
                    </unit>
{% endfor %}
                </interface>
{% endfor %}
            </interfaces>
    </configuration>